import logging

from dbodruntime.utils import delete_dead_docworker, explodeAllIPs, delete_dead_citrixworker

logger = logging.getLogger(__name__)


def demo_cron():
    logger.info('Dummy Cron called.')


def clear_workers():
    logger.info('Löschen inaktiver, toter Worker')

    logger.info('PDF Worker:')
    c = delete_dead_docworker()
    logger.info('Ende: {} gelöscht.'.format(c))

    logger.info('Citrix Worker')
    d = delete_dead_citrixworker()
    logger.info('Ende: {} gelöscht.'.format(d))


def explode_ips():
    logger.info('Neuberechnung der IPs für Nutzergruppen')
    c = explodeAllIPs()
    logger.info('Ende: {} IPs berechnet.'.format(c))
