from django.contrib import admin

from statistic.models import StatRecord, SearchRecord


class StatRecordAdmin(admin.ModelAdmin):
    list_display = ['timestamp', 'actiontype', 'data', 'tenant', 'eresource']
    list_filter = ['timestamp', 'actiontype', 'tenant', 'eresource']


admin.site.register(StatRecord, StatRecordAdmin)


class SearchRecordAdmin(admin.ModelAdmin):
    list_display = ['timestamp', 'searchtype', 'searchterm', 'searchresults']
    list_filter = ['timestamp', 'searchtype']


admin.site.register(SearchRecord, SearchRecordAdmin)
