from django.urls import path

from . import views

urlpatterns = [
    path('run/<str:resource>', views.startworker, name='run'),
    path('jobinfo', views.getworkerjob, name='jobinfo'),
    path('logon', views.getworkerjob, name='jobinfo'),
    path('logoff', views.delworker, name='delworker'),
    path('pdflogoff', views.deldocjob, name='pdflogoff'),
    path('pdfinfo/<str:jobid>', views.pdfinfo, name='pdfinfo'),
    path('pdffile/<str:filename>', views.pdffile, name='pdffile'),
    path('pdfviewer', views.pdfviewer, name='pdfviewer'),
    path('heartbeat', views.heartbeat, name='heartbeat'),
    path('shibb', views.shibb, name='shibb'),
]
